interface IConfig {
    agencies: {
        agencyKey: string;
        agency_key?: string;
        url?: string;
        path?: string;
        exclude?: string[];
    }[];
    sqlitePath?: string;
    allowEmptyTimetables?: boolean;
    beautify?: boolean;
    coordinatePrecision?: number;
    dateFormat?: string;
    daysShortStrings?: string[];
    daysStrings?: string[];
    defaultOrientation?: string;
    effectiveDate?: string;
    interpolatedStopSymbol?: string;
    interpolatedStopText?: string;
    linkStopUrls?: boolean;
    mapboxAccessToken?: string;
    menuType?: 'simple' | 'jump' | 'radio';
    noDropoffSymbol?: string;
    noDropoffText?: string;
    noHead?: boolean;
    noPickupSymbol?: string;
    noPickupText?: string;
    noServiceSymbol?: string;
    noServiceText?: string;
    outputFormat?: 'html' | 'pdf' | 'csv';
    outputPath?: string;
    requestDropoffSymbol?: string;
    requestDropoffText?: string;
    requestPickupSymbol?: string;
    requestPickupText?: string;
    serviceNotProvidedOnText?: string;
    serviceProvidedOnText?: string;
    showArrivalOnDifference?: number;
    showCalendarExceptions?: boolean;
    showMap?: boolean;
    showOnlyTimepoint?: boolean;
    showRouteTitle?: boolean;
    showStopCity?: boolean;
    showStopDescription?: boolean;
    showStoptimesForRequestStops?: boolean;
    skipImport?: boolean;
    sortingAlgorithm?: string;
    templatePath?: string;
    timeFormat?: string;
    useParentStation?: boolean;
    verbose?: boolean;
    zipOutput?: boolean;
    log?: (text: string) => void;
    logWarning?: (text: string) => void;
    logError?: (text: string) => void;
}

declare const gtfsToHtml: (initialConfig: IConfig) => Promise<string>;

export { gtfsToHtml as default };
